@echo off

rem This script modifies BeOS R4.5.1/4.5.2 aic78xx driver
rem for use with some Adaptec SCSI adapters
rem Called from MKFLOPPY.BAT; not to be used alone
rem
rem Differences from patchaic.sh:
rem does not check original driver by cksum
rem does not back up original driver

if "%DIR%"=="" set DIR=\system\add-ons\kernel\busses\scsi
set FILE=aic78xx

rem check parameters

if not "%1"=="" goto skip1
	echo Usage: "%0 {aha2930cu|aha2930u|aha2930u2}"
	set ERRORLEVEL=1
	goto end
:skip1

set TYPE=
if "%1"=="aha2930cu" set TYPE=2930CU
if "%1"=="aha2930u"  set TYPE=2930U
if "%1"=="aha2930u2" set TYPE=2930U2
if not "%TYPE%"=="" goto skip11
	echo Unknown chip: %1
	set ERRORLEVEL=1
	goto end
:skip11

goto %TYPE%
:2930CU
	set ID=60 38
	set OFS=117114
	goto skip12
:2930U
	set ID=78 88
	set OFS=117114
	goto skip12
:2930U2
	set ID=11 00
	set OFS=117146
	goto skip12
:skip12

rem check original driver

if exist %DIR%\%FILE% goto skip2
	echo Original driver %DIR%\%FILE% not present
	set ERRORLEVEL=1
	goto end
:skip2

rem driver version cheking omitted

rem apply patch to driver

echo e 100 %ID%     >  patchaic.db
echo rbx            >> patchaic.db
echo 0              >> patchaic.db
echo rcx            >> patchaic.db
echo 2              >> patchaic.db
echo n patchaic.bin >> patchaic.db
echo w              >> patchaic.db
echo q              >> patchaic.db

debug < patchaic.db
dd if=patchaic.bin of=%DIR%\%FILE% bs=1 seek=%OFS% conv=notrunc
del patchaic.db
del patchaic.bin

echo All done.
set ERRORLEVEL=0

:end
set DIR=
set FILE=
set TYPE=
set ID=
set OFS=
